User Service
List All User Stats
ListAllUserStats returns statistics for all users.
Query Parameters
state?string
Optional. The state of memos to include. Defaults to NORMAL.
Format
enumValue in
"STATE_UNSPECIFIED" | "NORMAL" | "ARCHIVED"filter?string
Optional. Filter to apply to memo stats. Uses the same filter syntax as ListMemos.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/users:stats"{
"stats": [
{
"name": "string",
"memoTypeStats": {
"linkCount": 0,
"codeCount": 0,
"todoCount": 0,
"undoCount": 0
},
"tagCount": {
"property1": 0,
"property2": 0
},
"memoCreatedTimestamps": [
"2019-08-24T14:15:22Z"
],
"memoUpdatedTimestamps": [
"2019-08-24T14:15:22Z"
],
"pinnedMemos": [
"string"
],
"totalMemoCount": 0
}
]
}{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}